:root {
  --main-bg-color: white;
}

html, body {
  height: 100%;
  background-color: var(--main-bg-color); 
}

h3 {
  margin: 0;
  text-align: center;
  position: relative;
}

.row {
  display: flex;
  padding: 2.5em;
}

.column {
  flex: 50%;
  margin: 0.5em;
  padding: 0.5em;
  background-color: rgba(0,0,0,0.02);
  padding: 0.5em;
  border-radius: 0.5em;
}

.text_button {
  background-color: transparent;
  border: none;
  opacity: 0;
}

*:hover>.text_button, .text_button:hover {
  opacity: 1;
}

.text_button {
  position: absolute;
  width: 1.5em;
}

.store_button {
  left: -1.5em;
}

.restore_button {
  right: -1.5em;
}

#store_supervised_tabs_button {
  left: inherit;
  transform: translateX(-90%);
}

#restore_stored_tabs_button {
  right: inherit;
  transform: translateX(-15%);
}

.text_button.restore_button::before {
  content: ">";
}

.text_button.store_button::before {
  content: "<";
}

.text_button.restore_button:first-child:hover::after, .text_button.store_button:first-child:hover::after {
  display: inline-block;
  white-space: nowrap;
}

.text_button.restore_button:first-child:hover::after {
  content: "Restore tab";
}

.text_button.store_button:first-child:hover::after {
  content: "Store tab";
}

#store_supervised_tabs_button:hover::after {
  content: "Store all supervised tabs";
}

#restore_stored_tabs_button:hover::after {
  content: "Restore all stored tabs";
}

.text_button.restore_button:first-child:hover::after, 
.text_button.store_button:first-child:hover::after {
  position: absolute;
  transform:translate(-50%,-100%);
  background-color: rgba(0,0,0,0.03);
  text-align: center;
  padding: 0.25em;
  border-radius: 0.25em;
}

.text_button:hover>.tooltip {
  display: block;
}

.text_button>.tooltip::after {
  content: "tooltip content";
}

.tab_list {
  left: 0;
  margin-bottom: 0;
}

#supervised_tabs {
  padding-left: 1em;
}

#stored_tabs {
  padding-right: 1em;
  padding-left: 0;
}

.tab_list>li, .tab_list:empty::after {
  background-color: var(--main-bg-color);
  position: relative;
  padding: 0.5em;
  border-radius: 0.5em;
  width: calc(100% - 2em);
  transform: translateX(0.25em);
  margin: 0.25em;
  display: inline-block;
}

.tab_list:empty::after {
  content: "None";
  color: lightgray;
}

.tab_list>li {
  list-style-type: none;
}

@keyframes rotate {
  from { transform: translate(0.1em, -0.075em) rotateZ(0); }
  to { transform: translate(0.1em, -0.075em) rotateZ(1turn); }
}

.tab_list>li[loading=true]::after {
  display: inline-block;
  content: "+";
  animation-name: rotate;
  animation-duration: 1s;
  animation-iteration-count: infinite;
}